Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 585673 - 2.6.33.2-57.fc13.x86_64 screen flickering on acer aspire 5740
2.6.33.2-57.fc13.x86_64 screen flickering on acer aspire 5740
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-25 10:34 EDT by Suseelan B Sarin
Modified: 2011-06-27 11:51 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:51:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
o/p xrandr -q, xvidtune (screenshot), lsmod and Xorg.0.log for various kernels (144.55 KB, application/x-bzip-compressed-tar)
2010-04-25 10:34 EDT, Suseelan B Sarin
no flags Details
o/p of intel_reg_snapshot on both working and non-working kernels (158.26 KB, application/x-bzip-compressed-tar)
2010-04-27 15:31 EDT, Suseelan B Sarin
no flags Details
result of intel_reg_snapshot > intelVide on my machine (4.00 MB, text/plain)
2010-06-06 21:00 EDT, Yiyu Jia
no flags Details

  None (edit)
Description Suseelan B Sarin 2010-04-25 10:34:34 EDT
Created attachment 408959 [details]
o/p xrandr -q, xvidtune (screenshot), lsmod and Xorg.0.log for various kernels

Description of problem:

After updating to 2.6.33.2-57.fc13.x86_64, the X screen is flickering. It is not noticeable always. But, especially when you go to certain websites etc, it becomes noticeable. It is also very much noticeable in the login screen of kdm and also during machine start-up and shut-down screens. However, it strains the eyes a lot. 

It mostly appears as horizontal flickering. But, while looking at the blank desktop it appeared as some sort of concentric waves.

Version-Release number of selected component (if applicable):

2.6.33.2-57.fc13.x86_64

How reproducible:


Always.

Steps to Reproduce:
1. Start the machine
2. You will notice it when the machine boots-up
3. Open firefox and visit a site like http://meld.sourceforge.net/ and you will see the entire body of the page flickering
  
Actual results:
The screen flickers

Expected results:
The screen should not flicker

Additional info:
Please see the attachment. I could not see much difference between the command o/p taken with various kernels. However, it is very clear that the screen behaves well under 2.6.33.1-24.fc13.x86_64 & 2.6.33.2-41.fc13.x86_64. But, it flickers under 2.6.33.2-57.fc13.x86_64
Comment 1 Suseelan B Sarin 2010-04-25 10:38:27 EDT
Thought this might be useful:
[root@i3 ~]# lspci 
00:00.0 Host bridge: Intel Corporation Core Processor DRAM Controller (rev 12)
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 12)
00:16.0 Communication controller: Intel Corporation 5 Series/3400 Series Chipset HECI Controller (rev 06)
00:1a.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 05)
00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 05)
00:1c.0 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 (rev 05)
00:1c.1 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 2 (rev 05)
00:1d.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 05)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev a5)
00:1f.0 ISA bridge: Intel Corporation Mobile 5 Series Chipset LPC Interface Controller (rev 05)
00:1f.2 IDE interface: Intel Corporation 5 Series/3400 Series Chipset 4 port SATA IDE Controller (rev 05)
00:1f.3 SMBus: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller (rev 05)
00:1f.5 IDE interface: Intel Corporation 5 Series/3400 Series Chipset 2 port SATA IDE Controller (rev 05)
00:1f.6 Signal processing controller: Intel Corporation 5 Series/3400 Series Chipset Thermal Subsystem (rev 05)
02:00.0 Ethernet controller: Broadcom Corporation NetLink BCM57780 Gigabit Ethernet PCIe (rev 01)
04:00.0 Network controller: Atheros Communications Inc. AR928X Wireless Network Adapter (PCI-Express) (rev 01)
ff:00.0 Host bridge: Intel Corporation Core Processor QuickPath Architecture Generic Non-core Registers (rev 02)
ff:00.1 Host bridge: Intel Corporation Core Processor QuickPath Architecture System Address Decoder (rev 02)
ff:02.0 Host bridge: Intel Corporation Core Processor QPI Link 0 (rev 02)
ff:02.1 Host bridge: Intel Corporation Core Processor QPI Physical 0 (rev 02)
ff:02.2 Host bridge: Intel Corporation Core Processor Reserved (rev 02)
ff:02.3 Host bridge: Intel Corporation Core Processor Reserved (rev 02)
Comment 2 Adam Jackson 2010-04-27 09:34:23 EDT
Try booting with i915.powersave=0 on the kernel command line.
Comment 3 Suseelan B Sarin 2010-04-27 10:54:24 EDT
(In reply to comment #2)
> Try booting with i915.powersave=0 on the kernel command line.    

I tried as you suggested. But, the flickering is still present.

[root@i3 ~]# cat /proc/cmdline 
ro root=UUID=cea8ef85-e15c-4dce-afd5-b0efc70ee7f0 rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet i915.powersave=0
Comment 4 Adam Jackson 2010-04-27 13:56:19 EDT
Please install 'intel-gpu-tools', and run

# intel_reg_snapshot > snapshot

For both a working and non-working kernel, and attach the resulting snapshot files to this bug.
Comment 5 Suseelan B Sarin 2010-04-27 15:31:56 EDT
Created attachment 409562 [details]
o/p of intel_reg_snapshot on both working and non-working kernels

Adding the o/p of intel_reg_snapshot. snapshot/snapshot-non-working.2.6.33.2-57.fc13.x86_64 is for the non-working kernel and rest of the two (24 and 41) are working fine.
Comment 6 Yiyu Jia 2010-06-06 20:56:52 EDT
Fedora 13 running on my notebook has same screen flicker problem. 

My notebook:  Gateway NV59 

kernel:  title Fedora 13 (2.6.33.5-112.fc13.x86_64)
	root (hd0,5)
	kernel /vmlinuz-2.6.33.5-112.fc13.x86_64 ro root=/dev/mapper/vg_jiagatewayfedora-lv_root rd_LVM_LV=vg_jiagatewayfedora/lv_root rd_LVM_LV=vg_jiagatewayfedora/lv_swap rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet 

modinfo video
filename:       /lib/modules/2.6.33.5-112.fc13.x86_64/kernel/drivers/acpi/video.ko
license:        GPL
description:    ACPI Video Driver
author:         Bruno Ducrot
srcversion:     FAF8A980798680EB6026B6B
alias:          acpi*:LNXVIDEO:*
depends:        output
vermagic:       2.6.33.5-112.fc13.x86_64 SMP mod_unload 
parm:           brightness_switch_enabled:bool
parm:           allow_duplicates:bool
Comment 7 Yiyu Jia 2010-06-06 21:00:28 EDT
Created attachment 421688 [details]
result of    intel_reg_snapshot > intelVide   on my machine
Comment 8 Yiyu Jia 2010-06-30 11:33:55 EDT
Why there is no response on this bug? http://intellinuxgraphics.org/ has released new kernel. When will Fedora get the new driver in its kernel. 

Windows 7 has no screen flicker on my machine. but Fedora has. it is hurting my eyes!
Comment 9 Scott Ferguson 2010-07-05 15:43:00 EDT
sorry to pile on here. I've got the same flickering issue with F13 on a dell inspiron 1464. for what it's worth this does not happen on ubuntu (running 2.6.32.x). I have not tried downgrading my F13 install to the 2.6.32 kernel. happy to get more info if needed.

kernel /vmlinuz-2.6.33.5-124.fc13.x86_64 ro root=/dev/mapper/vg_t150-lv_root rd_LVM_LV=vg_t150/lv_root rd_LVM_LV=vg_t150/lv_swap rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us rhgb quiet


[root@t150 xinit]# lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 12)


[root@t150 xinit]# modinfo video
filename:       /lib/modules/2.6.33.5-124.fc13.x86_64/kernel/drivers/acpi/video.ko
license:        GPL
description:    ACPI Video Driver
author:         Bruno Ducrot
srcversion:     FAF8A980798680EB6026B6B
alias:          acpi*:LNXVIDEO:*
depends:        output
vermagic:       2.6.33.5-124.fc13.x86_64 SMP mod_unload 
parm:           brightness_switch_enabled:bool
parm:           allow_duplicates:bool
Comment 10 jropella 2010-07-07 09:43:52 EDT
Fresh Fedora 13 install last night, also did updates. I noticed an update to intel video drivers, which fixed the freezing problem when compiz was turned on. However, it hasn't fixed this screen flicker issue.

# lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 12)

# modinfo video
filename:       /lib/modules/2.6.33.5-124.fc13.x86_64/kernel/drivers/acpi/video.ko
license:        GPL
description:    ACPI Video Driver
author:         Bruno Ducrot
srcversion:     FAF8A980798680EB6026B6B
alias:          acpi*:LNXVIDEO:*
depends:        output
vermagic:       2.6.33.5-124.fc13.x86_64 SMP mod_unload 
parm:           brightness_switch_enabled:bool
parm:           allow_duplicates:bool
Comment 11 Tim 2010-07-21 10:15:46 EDT
Fresh install of FC13 with all the latest updates. I am having the same problem. Also acer 5740 with intel HD graphics. Is their no fix in 3 months?

[admin@Spirit ~]$ modinfo video
filename:       /lib/modules/2.6.33.6-147.fc13.x86_64/kernel/drivers/acpi/video.ko
license:        GPL
description:    ACPI Video Driver
author:         Bruno Ducrot
srcversion:     FAF8A980798680EB6026B6B
alias:          acpi*:LNXVIDEO:*
depends:        output
vermagic:       2.6.33.6-147.fc13.x86_64 SMP mod_unload 
parm:           brightness_switch_enabled:bool
parm:           allow_duplicates:bool
[admin@Spirit ~]$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 12)
Comment 12 Suseelan B Sarin 2010-07-21 23:27:59 EDT
I recently tried compiling a bunch of drivers from working kernel source against the new kernel and used them with latest kernel. Strangely even that did not fix the issue. I don't fully remember what all drivers I tried compiling that way. But, I looked at my lsmod info and compiled the whole set of folders which I felt are related to my video drivers. If someone is interested and thinks this will help, I can repeat this experiment and post the details here.
Comment 13 ezq 2010-07-24 23:53:30 EDT
The same problem in my dell 1464 core i5 and 2.6.33.6-147.fc13.i686.PAE
Comment 14 Chuck Ebbert 2010-07-25 23:21:28 EDT
(In reply to comment #14)
> Please see the attachment. I could not see much difference between the command
> o/p taken with various kernels. However, it is very clear that the screen
> behaves well under 2.6.33.1-24.fc13.x86_64 & 2.6.33.2-41.fc13.x86_64. But, it
> flickers under 2.6.33.2-57.fc13.x86_64    

2.6.33.2-42, -43, -46, -47, -49, -53 and -56 kernels are in koji, if someone wants to try to bisect this. Start with -47 and go from there:

  http://kojipkgs.fedoraproject.org/packages/kernel/2.6.33.2/

If -47 works, try the next one halfway between that and -57. If it fails go the other direction -- just keep splitting the difference until there are no kernels left between the working and broken one.
Comment 15 Suseelan B Sarin 2010-07-27 19:19:16 EDT
I tried 43,47,53 and 56 from the above location. Till 53 it was fine. 56 is having this issue (http://kojipkgs.fedoraproject.org/packages/kernel/2.6.33.2/56.fc13/x86_64/kernel-2.6.33.2-56.fc13.x86_64.rpm).
Comment 16 Chuck Ebbert 2010-08-01 14:29:10 EDT
This is probably caused by the big drm-next update in -56. Here's what went in between -53 and -56 (the acpi-sleep patch would only affect things if someone did a suspend/resume cycle):

* Mon Apr 19 2010 Adam Jackson <ajax@redhat.com> 2.6.33.2-56
- drm-intel-next.patch: 2.6.34 as of today, plus anholt's for-linus tree as
  of today, plus most of drm-intel-next except for the AGP/GTT split and a
  broken TV detect fix. Tested on 945GM, GM45, and gen5.
- drm-intel-make-lvds-work.patch: Rebase to match.
- drm-intel-acpi-populate-didl.patch: Drop, merged in -intel-next
- drm-intel-gen5-dither.patch: Use better dither on gen5.

* Mon Apr 19 2010 Matthew Garrett <mjg@redhat.com>
- linux-2.6-acpi-sleep-live-sci-live.patch: Try harder to switch to ACPI mode

* Mon Apr 19 2010 Adam Jackson <ajax@redhat.com>
- linux-2.6-intel-iommu-igfx.patch: Disable IOMMU for GFX by default, just too
  broken.  intel_iommu=igfx_on to turn it on. (Adel Gadllah)


Also, can someone try 2.6.34.1-29 from koji and see if it's fixed there?
Comment 17 ezq 2010-08-01 19:07:15 EDT
still flickering whit 2.6.34.1-29 from koji
Comment 18 ezq 2010-08-02 13:13:16 EDT
Works with kernel 2.6.35-0.57.rc6.git5.fc15.i686.PAE from rawhide
Comment 19 Suseelan B Sarin 2010-08-04 21:04:52 EDT
2.6.35-1.fc14.x86_64 is working for me.
Comment 20 Yiyu Jia 2010-08-05 11:42:15 EDT
i installed 2.6.35-2.fc14.x86_64 just now. no flicker now. my eyes feel cool:) I can concentrate my coding work now. will wait for fc14.
Comment 21 Chuck Ebbert 2010-08-05 15:03:06 EDT
Great, now how do we get this fixed in f13?
Comment 22 jropella 2010-08-06 00:59:51 EDT
Confirmed that 2.6.35 fixes the issue (I'm on an Asus U50F). Chuck: just download the kernel source and compile it yourself. Piece of pie.
Comment 23 Scott Ferguson 2010-08-09 06:44:43 EDT
2.6.35 fixed it for me as well (dell inspiron 1464). thanks!
Comment 24 Yiyu Jia 2010-08-09 14:19:57 EDT
The cost to using 2.6.35 is that our system become unstable. my wireless connection can not reslove dns well. it often lost connection. How can fedora expands its market if it can only make fun for linux fan instead of normal user. The time we spend on it may cost much more than Microsoft windows license fee.
Comment 25 Anonymous account 2010-08-10 22:02:49 EDT
Hello, I'm facing the same problem. But I'm currently using ubuntu here. I want to change to fedora. But how can I fix this problem? How can I update/upgrade to this kernel?

PS: I'm posting this with a anonymous acc (BugMeNot) because I don't like to register too much :)
Comment 26 Chuck Ebbert 2010-08-22 10:20:05 EDT
(In reply to comment #24)
> The cost to using 2.6.35 is that our system become unstable. my wireless
> connection can not reslove dns well. it often lost connection. How can fedora
> expands its market if it can only make fun for linux fan instead of normal
> user. The time we spend on it may cost much more than Microsoft windows license
> fee.

Nobody from Fedora is claiming that 2.6.35.2 is ready for production use. (It's in the Fedora 14 alpha release.)
Comment 27 Bug Zapper 2011-06-02 10:53:26 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 28 Bug Zapper 2011-06-27 11:51:53 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.